SRU: backport Python 3.8.5 to 20.04 LTS

Bug #1889218 reported by Matthias Klose on 2020-07-28
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
python3-stdlib-extensions (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned
python3.8 (Ubuntu)
Undecided
Unassigned
Focal
Undecided
Unassigned

Bug Description

Backport python3.8 3.8.5 to focal

Test rebuild for focal (main) was done together with the compilers, and showing good results. See LP: #1879481.

Regression potential: python-babel needed an adjustment for a test case (no changes to the code itself). Trying to minimize the potential with the test rebuild.

Validation: Test results show no regressions, and the archive test rebuild doesn't show any regressions.

CVE References

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in python3-stdlib-extensions (Ubuntu):
status: New → Confirmed
Changed in python3.8 (Ubuntu):
status: New → Confirmed
Matthias Klose (doko) on 2020-09-17
description: updated

Hello Matthias, or anyone else affected,

Accepted python3.8 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python3.8/3.8.5-1~20.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in python3.8 (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed verification-needed-focal
Łukasz Zemczak (sil2100) wrote :

Hello Matthias, or anyone else affected,

Accepted python3-stdlib-extensions into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python3-stdlib-extensions/3.8.5-1~20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in python3-stdlib-extensions (Ubuntu Focal):
status: New → Fix Committed

All autopkgtests for the newly accepted python3-stdlib-extensions (3.8.5-1~20.04.1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

versiontools/unknown (ppc64el)
ufw/0.36-6 (amd64)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#python3-stdlib-extensions

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

All autopkgtests for the newly accepted python3.8 (3.8.5-1~20.04) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

ros-geometry2/0.6.6-1build3 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#python3.8

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Hello Matthias, or anyone else affected,

Accepted python3.9 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python3.9/3.9.0~rc1-1~20.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Paul Hollinsky (paulywog) wrote :

The python3.8 (3.8.5-1~20.04) package in focal-proposed is confirmed to fix the use-after-free in asyncio I reported previously.

Matthias Klose (doko) wrote :

passes all autopkg tests. build tests were already done with the binary uploads.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3.9 - 3.9.0~rc1-1~20.04

---------------
python3.9 (3.9.0~rc1-1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1889218. Backport Python 3.9 to 20.04 LTS.

 -- Matthias Klose <email address hidden> Thu, 03 Sep 2020 21:31:07 +0200

Changed in python3.9 (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3.8 - 3.8.5-1~20.04

---------------
python3.8 (3.8.5-1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1889218. Backport Python 3.8.5 to 20.04 LTS.

python3.8 (3.8.5-1) unstable; urgency=medium

  * Python 3.8.5 release.
    - Fix issue 41295, regression on __setattr__ in multiinheritance with
       metaclasses. Closes: #965069.

python3.8 (3.8.4-1) unstable; urgency=medium

  * Python 3.8.4 release.
  * Update VCS attributes in the control file.

python3.8 (3.8.4~rc1-1) unstable; urgency=medium

  * Python 3.8.4 release candidate 1.

python3.8 (3.8.3-1) unstable; urgency=medium

  * Python 3.8.3 release.
  * Add XB-Cnf-Visible-Pkgname header on the python*-minimal package to
    point command-not-found at the full one. LP: #1867157

python3.8 (3.8.3~rc1-1) unstable; urgency=medium

  * Python 3.8.3 release candidate 1.
    - Issue #38576, CVE-2019-18348: Disallow control characters in hostnames
      in http.client.
    - Issue #39503, CVE-2020-8492: Denial of service in
      urllib.request.AbstractBasicAuthHandler.

 -- Matthias Klose <email address hidden> Tue, 28 Jul 2020 14:59:40 +0200

Changed in python3.8 (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for python3.9 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python3-stdlib-extensions - 3.8.5-1~20.04.1

---------------
python3-stdlib-extensions (3.8.5-1~20.04.1) focal-proposed; urgency=medium

  * SRU: LP: #1889218. Backport Python 3.8.5 to 20.04 LTS.
  * Build as well for 3.9, except on i386.

 -- Matthias Klose <email address hidden> Mon, 10 Aug 2020 14:24:47 +0200

Changed in python3-stdlib-extensions (Ubuntu Focal):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Matthias Klose (doko) on 2020-10-09
Changed in python3-stdlib-extensions (Ubuntu):
status: Confirmed → Fix Released
Changed in python3.8 (Ubuntu):
status: Confirmed → Fix Released
Mathew Hodson (mhodson) on 2020-12-11
no longer affects: python3-stdlib-extensions (Ubuntu Focal)
no longer affects: python3.8 (Ubuntu Focal)
Changed in python3-stdlib-extensions (Ubuntu Focal):
status: New → Fix Released
Changed in python3.8 (Ubuntu Focal):
status: New → Fix Released
Changed in python3.9 (Ubuntu Focal):
status: New → Fix Released
Mathew Hodson (mhodson) on 2020-12-11
no longer affects: python3.9 (Ubuntu Focal)
no longer affects: python3.9 (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers